import * as server from '@minecraft/server'
import * as ui from '@minecraft/server-ui'
const world = server.world

world.beforeEvents.chatSend.subscribe((ev) => {
    const player = ev.sender
    const msg = ev.message

    if (msg == "-spawn") {
        ev.cancel = true
        player.runCommandAsync("function spawn")
    }
    if (msg == "-setlore") {
        server.system.runTimeout(() => {
            form.show(player).then(onFulfilled => {
                world.sendMessage("" + (onFulfilled.formValues[0]))
            })
        }
        )
    }
})

world.afterEvents.itemUse.subscribe((eventData => {
    let player = eventData.source
    const item = eventData.item
    if (eventData.item.typeId == "minecraft:compass") {
        form.show(player).then(onFulfilled => {
            world.sendMessage("" + (onFulfilled.formValues[0]))
        }
        )
    }
}))
const form = new ui.ModalFormData()
form.title("")
form.textField("Set Item Lore", "", "")